Migrate open windows and tabs when resetting Firefox
Now that we only load the active tab when doing a session restore it should be safe to restore tabs and tab groups when resetting Firefox. The feedback on the reset feature has been very positive but the biggest disincentive to using it is that you loose your current tabs and tab groups. Adding this to the reset will greatly improve it's utility and create a nearly seamless recovery for users.